Bug 415911 - xorg is missing the it2 keymap layout
xorg is missing the it2 keymap layout
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 13:11 EST by Luigi Tarenga
Modified: 2008-11-24 06:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 06:27:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
it2 keyboard layout for Xorg (1.45 KB, text/plain)
2007-12-07 13:13 EST, Luigi Tarenga
no flags Details

  None (edit)
Description Luigi Tarenga 2007-12-07 13:11:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.10) Gecko/20071128 Fedora/2.0.0.10-2.fc8 Firefox/2.0.0.10

Description of problem:
from many years linux console can work with the "it2" keymap
a sligthy modified italian layout. i saw that xorg is still missing
a it2 layout so i created the /usr/share/X11/xkb/symbols/it2 file.

to see what the it2 is all about just check this:
zcat /lib/kbd/keymaps/i386/qwerty/it2.map.gz |head -n 40

Note: it2 is just a logical layout, and is slighty different from the
physical one.

it2.map.gz give also some wrong indication on how to use it2 under X
(it seems that has been written on 1995!)

maybe the it2 layout is not much used but i think that it make no sense
to be able to select it from system-config-keyboard and then not be able
to use is under xorg.

with the file i created a user can select it in xorg.conf:
Option "XkbLayout" "it2"



Version-Release number of selected component (if applicable):
xkeyboard-config-1.1-3.fc8

How reproducible:
Always


Steps to Reproduce:
1. run system-config-keyboard
2. select it2
3. switch to the tty1 and see that the layout is "it2" while you
can't have the same basic layout with X


Actual Results:


Expected Results:


Additional info:
Comment 1 Luigi Tarenga 2007-12-07 13:13:26 EST
Created attachment 281421 [details]
it2 keyboard layout for Xorg
Comment 2 Peter Hutterer 2008-09-10 04:36:54 EDT
Have you tried submitting this to xkeyboard-config upstream?

https://bugs.freedesktop.org/enter_bug.cgi?product=xkeyboard-config
Please file a bug there, attach your layout and reference the new bug from here. This way we can track upstream process on this.
Comment 3 Matěj Cepl 2008-10-20 17:00:17 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Matěj Cepl 2008-11-24 06:27:53 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.